package org.university.core;

import java.util.ArrayList;

public class GradStudent extends Student
{
    private ArrayList<Publication> publications;
    private Professor advisor;

    public GradStudent(String firstName, String lastName, String ID, int joiningYear, Department department, Professor advisor) {
        super(firstName, lastName, ID, joiningYear, department);
        this.advisor = advisor;
    }

    public void addPublication(Publication p)
    {
        publications.add(p);
    }

    public ArrayList<Publication> getPublications() {
        return publications;
    }

    public Professor getAdvisor() {
        return advisor;
    }


}
